Page MenuHomePhabricator

Add ignore f/m group flags for compatibility
ClosedPublic

Authored by bubbles231 on Jul 17 2014, 11:49 AM.

Details

Reviewers
rafael
rnk
Summary

Added f/m flags to be ignored. They are part of the clang_ignored_f_Group/clang_ignored_m_Group so there is no warning.

Diff Detail

Event Timeline

bubbles231 retitled this revision from to Add ignore f/m group flags for compatibility.
bubbles231 updated this object.
bubbles231 edited the test plan for this revision. (Show Details)
bubbles231 added a subscriber: Unknown Object (MLST).
bubbles231 updated this object.Jul 18 2014, 9:49 AM

Move a lot of flags to http://reviews.llvm.org/D4565, Make this revision depend upon http://reviews.llvm.org/D4565, and fixes some problems.

Make a patch that will apply with http://reviews.llvm.org/D4565.

rnk accepted this revision.Aug 4 2014, 2:20 PM
rnk edited edge metadata.

lgtm if you don't ignore -malign-double.

Sorry, I just did a search for unread reviews.

include/clang/Driver/Options.td
1041

-malign-double is an ABI breaking flag, as it affects record layout. We should reject it with prejudice. :)

1628

Amusing, we implement this behavior under -fms-compatibility.

This revision is now accepted and ready to land.Aug 4 2014, 2:20 PM

Thanks for looking at the revision! I made the changes and will commit as soon as http://reviews.llvm.org/D4565 is approved because this patch is dependent on that patch.

bubbles231 closed this revision.Aug 5 2014, 11:31 AM

Committed the changes with this commit: http://reviews.llvm.org/rL214907